
CoCoA-5 - Feature #1293

Vim Plugin for CoCoA

30 May 2019 14:10 - Florian Walsh

Status: Resolved Start date: 30 May 2019

Priority: Low Due date:  

Assignee:  % Done: 70%

Category: GUI Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.50 hour

Description

Julian and I created a CoCoa plugin for Vim that provides some basic syntax highlighting, indentation and snippets: 

https://github.com/abacus42/CoCoA-Vim.

Maybe this is useful for some other vim users out there :)

History

#1 - 04 Jun 2019 11:12 - Anna Maria Bigatti

Sorry, I cannot stop myself thinking of this xkcd: https://xkcd.com/378/  ;-)

#2 - 04 Jun 2019 20:29 - Florian Walsh

Anna Maria Bigatti wrote:

Sorry, I cannot stop myself thinking of this xkcd: https://xkcd.com/378/  ;-)

 

Haha! Feature Request: Butterfly support for CoCoA =)

#3 - 08 Oct 2020 13:54 - John Abbott

- Target version set to CoCoA-5.4.2

- % Done changed from 0 to 70

Assuming that this works reasonably well, it would be nice to release it with CoCoA-5.

When?  Next version?  The one after?

#4 - 09 Oct 2020 15:59 - John Abbott

Florian suggests putting a link to the github address somewhere evident on the download page for CoCoA-5 for linux.

JAA thinks this is a good idea.

#5 - 03 Nov 2020 22:19 - John Abbott

Can we make the link for the imminent (interim) release?

#6 - 24 Sep 2021 21:47 - John Abbott

Same comment as above (11 months ago).  We should mention it to the participants at the minicourse.
